# -*- coding: utf-8 -*-

from vsg import token
from vsg.rules import token_case

lTokens = []
lTokens.append(token.direction.downto)


class rule_001(token_case):
    """
    This rule checks the case of the **downto** keyword.

    |configuring_uppercase_and_lowercase_rules_link|

    **Violation**

    .. code-block:: vhdl

       signal sig1 : std_logic_vector(3 DOWNTO 0);
       signal sig2 : std_logic_vector(16 downTO 1);

    **Fix**

    .. code-block:: vhdl

       signal sig1 : std_logic_vector(3 downto 0);
       signal sig2 : std_logic_vector(16 downTO 1);
    """

    def __init__(self):
        super().__init__(lTokens)
        self.groups.append("case::keyword")
